

### Flot Maximum ###
# Le problème de l'autoroute #

<!-- Syntaxe HTML/CSS standard **pour les experts** -->

A. Préambule

    Récupérer sur Eureka l'archive maxflow. Elle contient le code d'un algorithme de flot max et celui du test de cet algorithme sur un exemple. Observez la construction du graphe dans GS. Résoudre le problème de flot max et vérifier la solution. Testez avec un second exemple (du cours ou construit par vous).

B.  Construire le graphe associé au réseau routier et le mettre sous forme d'un fichier DGS.

   >[Fichier highway.dgs](src/main/resources/highway.dgs)

C.  Donnez la solution du problème de flot max en utilisant l'algorithme mis à votre disposition. Vous afficherez le réseau, les valeurs du flot sur les arêtes, et vous mettrez en évidence les arêtes saturées.

   ![Flot Max du réseau](data/MaxFlow.png)

D.  AVANT de tester toutes les solutions pour la question 2), que pouvez-vous déduire du flot max sur le réseau routier ?

E.  Donnez les flots successifs en justifiant qu'il s'agit bien à chaque fois du tronçon qui augmente le plus la valeur courante du flot. Commentez.

F.  Votre compte-rendu devra comporter : le fichier dgs initial et le graphe associé, les différents flots obtenus, et un texte répondant aux questions et expliquant comment vous avez obtenu ces réponses.
